# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate uuid

Name:           rust-%{crate}
Version:        0.7.1
Release:        3%{?dist}
Summary:        Library to generate and parse UUIDs

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/uuid
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Drop slog dependency until packaged
# * Bump rand to 0.6
# * Bump md5 to 0.6
Patch0:         uuid-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(byteorder/i128) >= 1.0.0 with crate(byteorder/i128) < 2.0.0)
BuildRequires:  (crate(md5/default) >= 0.6.0 with crate(md5/default) < 0.7.0)
BuildRequires:  (crate(rand/default) >= 0.6.0 with crate(rand/default) < 0.7.0)
BuildRequires:  (crate(serde) >= 1.0.56 with crate(serde) < 2.0.0)
BuildRequires:  (crate(sha1/default) >= 0.6.0 with crate(sha1/default) < 0.7.0)
%if %{with check}
BuildRequires:  (crate(bincode/default) >= 1.0.0 with crate(bincode/default) < 2.0.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.0 with crate(serde_json/default) < 2.0.0)
BuildRequires:  (crate(serde_test/default) >= 1.0.56 with crate(serde_test/default) < 2.0.0)
%endif

%global _description \
A library to generate and parse UUIDs.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+byteorder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+byteorder-devel %{_description}

This package contains library source intended for building other packages
which use "byteorder" feature of "%{crate}" crate.

%files       -n %{name}+byteorder-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+md5-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+md5-devel %{_description}

This package contains library source intended for building other packages
which use "md5" feature of "%{crate}" crate.

%files       -n %{name}+md5-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages
which use "rand" feature of "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+sha1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha1-devel %{_description}

This package contains library source intended for building other packages
which use "sha1" feature of "%{crate}" crate.

%files       -n %{name}+sha1-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+u128-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u128-devel %{_description}

This package contains library source intended for building other packages
which use "u128" feature of "%{crate}" crate.

%files       -n %{name}+u128-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+v1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1-devel %{_description}

This package contains library source intended for building other packages
which use "v1" feature of "%{crate}" crate.

%files       -n %{name}+v1-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+v3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v3-devel %{_description}

This package contains library source intended for building other packages
which use "v3" feature of "%{crate}" crate.

%files       -n %{name}+v3-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+v4-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v4-devel %{_description}

This package contains library source intended for building other packages
which use "v4" feature of "%{crate}" crate.

%files       -n %{name}+v4-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+v5-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v5-devel %{_description}

This package contains library source intended for building other packages
which use "v5" feature of "%{crate}" crate.

%files       -n %{name}+v5-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# https://github.com/uuid-rs/uuid/pull/349
chmod -x benches/*.rs
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Dec 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-3
- Bump rand, md5 to 0.6

* Sat Dec 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-2
- Run tests in infrastructure

* Tue Nov 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-3
- Adapt to new packaging

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 25 2018 Josh Stone <jistone@redhat.com> - 0.6.5-1
- Update to 0.6.5

* Thu May 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-1
- Update to 0.6.4

* Thu Apr 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-4
- Rebuild for rust-packaging v5

* Sun Jan 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-3
- Add implicit cargo features

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-2
- Bump rand to 0.4
- Bump sha1 to 0.4

* Sat Dec 02 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Initial package
